# OAuthProvider::addRequiredParameter

(PECL OAuth >= 1.0.0)

OAuthProvider::addRequiredParameter — Add required parameters

### Description

final public OAuthProvider::addRequiredParameter ( string `$req_params` ) : bool

Add required oauth provider parameters.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`req_params`

  The required parameters.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- OAuthProvider::removeRequiredParameter() - Remove a required parameter